> For clean Markdown of any page, append `.md` to the page URL.
> For a complete documentation index, see https://docs.sarvam.ai/llms.txt.
> For full documentation content in one file, see https://docs.sarvam.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server.

# Get the variable mapping

GET https://apps.sarvam.ai/api/evals/v1/{org_id}/{workspace_id}/test-suites/{test_suite_id}/mappings

Reference: https://docs.sarvam.ai/conversations/api/tests/mappings/get

## Request

### Path parameters

- `org_id` (string, required) — Organization ID
- `workspace_id` (string, required) — Workspace ID
- `test_suite_id` (string, required)

### Query parameters

- `app_id` (string, required) — App whose mapping to return.

### Headers

- `X-API-Key` (string, required) — Your workspace API key.

## Response

### 200

Successful Response

- `map_id` (string, required)
- `test_suite_id` (string, required)
- `app_id` (string, required)
- `app_version` (integer, required)
- `variable_mapping` (map from string to string, required)

## Errors

### 401 Unauthorized Error

No Bearer token or X-API-Key was supplied, or it is invalid.

- `error` (object, required) — Details of the error that occurred.
  - `code` (string, required) — A service-specific error code.
  - `message` (string, required) — A human-readable description of the error.

### 403 Forbidden Error

The credential is not valid for this org or workspace.

- `error` (object, required) — Details of the error that occurred.
  - `code` (string, required) — A service-specific error code.
  - `message` (string, required) — A human-readable description of the error.

### 404 Not Found Error

No such resource in this org and workspace.

- `error` (object, required) — Details of the error that occurred.
  - `code` (string, required) — A service-specific error code.
  - `message` (string, required) — A human-readable description of the error.

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of object, optional)
  - `loc` (list of string or integer, required)
  - `msg` (string, required)
  - `type` (string, required)

### 429 Too Many Requests Error

Rate limit exceeded for this caller.

- `error` (object, required) — Details of the error that occurred.
  - `code` (string, required) — A service-specific error code.
  - `message` (string, required) — A human-readable description of the error.

## Examples

**Response**

```json
{
  "map_id": "01K5TA1FQ6WS8ZC3VY2JEN9RDK",
  "test_suite_id": "01K5T8A2MZQ4VE6XCJ0RDBHW7N",
  "app_id": "clinic-front-desk",
  "app_version": 4,
  "variable_mapping": {
    "business_name": "clinic_name",
    "customer_name": "patient_name"
  }
}
```

**SDK Code**

```python
import requests

url = "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings"

querystring = {"app_id":"app_id"}

headers = {"X-API-Key": "<your-api-key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id';
const options = {method: 'GET', headers: {'X-API-Key': '<your-api-key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<your-api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<your-api-key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id")
  .header("X-API-Key", "<your-api-key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id', [
  'headers' => [
    'X-API-Key' => '<your-api-key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<your-api-key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<your-api-key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/mappings?app_id=app_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```